summaryrefslogtreecommitdiffstats
path: root/source/l/pulseaudio
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pulseaudio')
-rw-r--r--source/l/pulseaudio/0131-alsa-lib-1.1.9.patch39
-rwxr-xr-xsource/l/pulseaudio/pulseaudio.SlackBuild8
2 files changed, 46 insertions, 1 deletions
diff --git a/source/l/pulseaudio/0131-alsa-lib-1.1.9.patch b/source/l/pulseaudio/0131-alsa-lib-1.1.9.patch
new file mode 100644
index 000000000..1600417f3
--- /dev/null
+++ b/source/l/pulseaudio/0131-alsa-lib-1.1.9.patch
@@ -0,0 +1,39 @@
+alsa: Fix inclusion of use-case.h
+The recent change in ALSA upstream stripped -I$include/alsa path from
+pkgconfig. We already fixed for this change in some places but still
+the code for UCM was overlooked, and this resulted in the unresolved
+symbols in alsa card module. Fix them as well.
+
+Signed-off-by: Takashi Iwai <tiwai@suse.de>
+Diffstat
+-rw-r--r-- configure.ac 2
+
+-rw-r--r-- src/modules/alsa/alsa-ucm.h 2
+
+2 files changed, 2 insertions, 2 deletions
+diff --git a/configure.ac b/configure.ac
+index c004bd7..b44ed15 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -826,7 +826,7 @@ AS_IF([test "x$enable_alsa" = "xyes" && test "x$HAVE_ALSA" = "x0"],
+ AS_IF([test "x$HAVE_ALSA" = "x1"],
+ [
+ save_CPPFLAGS="$CPPFLAGS"; CPPFLAGS="$CPPFLAGS $ASOUNDLIB_CFLAGS"
+- AC_CHECK_HEADERS([use-case.h], HAVE_ALSA_UCM=1, HAVE_ALSA_UCM=0)
++ AC_CHECK_HEADERS([alsa/use-case.h], HAVE_ALSA_UCM=1, HAVE_ALSA_UCM=0)
+ CPPFLAGS="$save_CPPFLAGS"
+ ],
+ HAVE_ALSA_UCM=0)
+diff --git a/src/modules/alsa/alsa-ucm.h b/src/modules/alsa/alsa-ucm.h
+index 53abf3f..c926f3c 100644
+--- a/src/modules/alsa/alsa-ucm.h
++++ b/src/modules/alsa/alsa-ucm.h
+@@ -23,7 +23,7 @@
+ ***/
+
+ #ifdef HAVE_ALSA_UCM
+-#include <use-case.h>
++#include <alsa/use-case.h>
+ #else
+ typedef void snd_use_case_mgr_t;
+ #endif
diff --git a/source/l/pulseaudio/pulseaudio.SlackBuild b/source/l/pulseaudio/pulseaudio.SlackBuild
index b539e2afb..35f84b5a8 100755
--- a/source/l/pulseaudio/pulseaudio.SlackBuild
+++ b/source/l/pulseaudio/pulseaudio.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pulseaudio
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -87,6 +87,9 @@ zcat $CWD/0002-allow-autospawn-for-root-default.diff.gz | patch -p1 --verbose ||
# Do not log a warning every time root uses PulseAudio:
zcat $CWD/0003-no-root-warn.diff.gz | patch -p1 --verbose || exit 1
+# Patch to fix building against alsa-lib-1.1.9:
+zcat $CWD/0131-alsa-lib-1.1.9.patch.gz | patch -p1 --verbose || exit 1
+
sed -i -e '/@PA_BINARY@/ imkdir -p \$HOME/.config/pulse' src/daemon/start-pulseaudio-x11.in
echo "X-MATE-Autostart-Phase=Initialization" >> src/daemon/pulseaudio.desktop.in
@@ -98,6 +101,9 @@ zcat $CWD/pulseaudio-autostart.patch.gz | patch -p1 --verbose || exit 1
# using the upstream default here.
sed -i 's/; flat-volumes = yes/flat-volumes = no/g' ./src/daemon/daemon.conf.in
+# 0131-alsa-lib-1.1.9.patch.gz touches configure.ac, so:
+autoreconf -vif
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./bootstrap.sh \